#include "allegro.h"

// typedef SDL_Color* PALETTE;
// typedef long fixed; // What an idea !
// #define RGB SDL_Color

void sdl_init();
void sdl_done();

void setup_gfx_modes();

// Bitmap functions
BITMAP *sdl_create_bitmap_ex(int bpp, int w, int h);
#define sdl_create_bitmap(w, h) sdl_create_bitmap_ex(display_cfg.bpp,w,h)
struct BITMAP *surface_to_bmp(SDL_Surface *s);

void destroy_bitmap(struct BITMAP *bmp);
// clear is normally useless... Hope so at least (if called after creation)
#define clear(x)
#define allegro_message logerror

// Mouse... Very different now... Just declare the vars, and see later...
void set_mouse_range(int x1, int y1, int x2, int y2); // does nothing !

// Strings
#ifndef strlwr
#define strlwr(s) while(s) if (*s>='A' && *s<='Z') *s+=32;
#endif
void put_backslash(char *s);

// Joystick
void init_joys(); // Does nothing for now

// GUI
void StartGUI(); // Does nothing

// Misc
int  save_pcx(const char *filename, BITMAP *bmp, const RGB
	      *pal);
